## python-coffin 0.3.8

=== coffin/Makefile ===
clean:
	@-rm -f *.pyc */*.pyc tags */tags

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d _build/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  dirhtml   to make HTML files named index.html in directories"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  qthelp    to make HTML files and a qthelp project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf _build/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) _build/html
	@echo
	@echo "Build finished. The HTML pages are in _build/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) _build/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in _build/dirhtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) _build/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) _build/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) _build/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in _build/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) _build/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in _build/qthelp, like this:"
	@echo "# qcollectiongenerator _build/qthelp/Coffin.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile _build/qthelp/Coffin.qhc"

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) _build/latex
	@echo
	@echo "Build finished; the LaTeX files are in _build/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) _build/changes
	@echo
	@echo "The overview file is in _build/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) _build/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in _build/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) _build/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in _build/doctest/output.txt."

=== debian/changelog ===
python-coffin (0.3.8-1) unstable; urgency=medium

  * Initial release. (Closes: #760866)

 -- Thomas Goirand <zigo@debian.org>  Tue, 12 Aug 2014 14:45:28 +0800

=== debian/control ===
Source: python-coffin
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Julien Danjou <acid@debian.org>,
           Thomas Goirand <zigo@debian.org>,
           Mehdi Abaakouk <sileht@sileht.net>,
           Gonéri Le Bouder <goneri@debian.org>
Build-Depends: debhelper (>= 9),
               python-all (>= 2.6.6-3~),
               python-jinja2,
               python-nose,
               python-setuptools,
               python-six,
               python3-all,
               python3-setuptools,
               python3-six,
               python-sphinx
Standards-Version: 3.9.5
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-coffin.git
Vcs-Git: git://anonscm.debian.org/openstack/python-coffin.git
Homepage: http://github.com/coffin/coffin

Package: python-coffin
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: python-six, ${misc:Depends}, ${python:Depends}
Description: Jinja2 adapter for Django - Python 2.x
 Coffin is a Jinja2 adapter for Django. Coffin currently makes the following
 Django tags available in Jinja:
  * {% cache %} - has currently an incompatibility: The second argument (the
    fragment name) needs to be specified with surrounding quotes if it is
    supposed to be a literal string, according to Jinja2 syntax. It will
    otherwise be considered an identifer and resolved as a variable.
  * {% load %} - is actually a no-op in Coffin, since templatetag libraries are
    always loaded. See also "Custom Filters and extensions".
  * {% spaceless %}
  * {% url %} - additionally, a view|url() filter is also available. Or use
    view|url() for Django 1.5 style lookups by the value of view.
  * {% with %}
  * {% csrf_token %}
 .
 Django filters that are ported in Coffin:
  * date
  * floatformat
  * pluralize (expects an optional second parameter rather than the comma
    syntax)
  * time
  * timesince
  * timeuntil
  * truncatewords
  * truncatewords_html
 .
 This package contains the Python 2.x module.

Package: python3-coffin
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: python3-six, ${misc:Depends}, ${python3:Depends}
Description: Jinja2 adapter for Django - Python 3.x
 Coffin is a Jinja2 adapter for Django. Coffin currently makes the following
 Django tags available in Jinja:
  * {% cache %} - has currently an incompatibility: The second argument (the
    fragment name) needs to be specified with surrounding quotes if it is
    supposed to be a literal string, according to Jinja2 syntax. It will
    otherwise be considered an identifer and resolved as a variable.
  * {% load %} - is actually a no-op in Coffin, since templatetag libraries are
    always loaded. See also "Custom Filters and extensions".
  * {% spaceless %}
  * {% url %} - additionally, a view|url() filter is also available. Or use
    view|url() for Django 1.5 style lookups by the value of view.
  * {% with %}
  * {% csrf_token %}
 .
 Django filters that are ported in Coffin:
  * date
  * floatformat
  * pluralize (expects an optional second parameter rather than the comma
    syntax)
  * time
  * timesince
  * timeuntil
  * truncatewords
  * truncatewords_html
 .
 This package contains the Python 3.x module.

Package: python-coffin-doc
Section: doc
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: Jinja2 adapter for Django - doc
 Coffin is a Jinja2 adapter for Django. Coffin currently makes the following
 Django tags available in Jinja:
  * {% cache %} - has currently an incompatibility: The second argument (the
    fragment name) needs to be specified with surrounding quotes if it is
    supposed to be a literal string, according to Jinja2 syntax. It will
    otherwise be considered an identifer and resolved as a variable.
  * {% load %} - is actually a no-op in Coffin, since templatetag libraries are
    always loaded. See also "Custom Filters and extensions".
  * {% spaceless %}
  * {% url %} - additionally, a view|url() filter is also available. Or use
    view|url() for Django 1.5 style lookups by the value of view.
  * {% with %}
  * {% csrf_token %}
 .
 Django filters that are ported in Coffin:
  * date
  * floatformat
  * pluralize (expects an optional second parameter rather than the comma
    syntax)
  * time
  * timesince
  * timeuntil
  * truncatewords
  * truncatewords_html
 .
  This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)
PYTHON3S:=$(shell py3versions -vr)

UPSTREAM_GIT = git://github.com/coffin/coffin.git
-include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc

override_dh_install:
	set -e && for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-coffin; \
	done
	set -e && for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python3-coffin; \
	done
	rm -rf $(CURDIR)/debian/python*-coffin/usr/lib/python*/dist-packages/tests

#override_dh_auto_test:
#ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
#	set -e && for pyvers in $(PYTHONS); do \
#		PYTHON=python$$pyvers nosetests ; \
#	done
#	set -e && for pyvers in $(PYTHON3S); do \
#		PYTHON=python$$pyvers nosetests3 ; \
#	done
#endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build

override_dh_sphinxdoc:
	PYTHONPATH=. sphinx-build -b html docs debian/python-coffin-doc/usr/share/doc/python-coffin-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/C/Coffin Coffin-(.*).tar.gz

## python-coffin 2.0.1

=== requirements.txt ===
-e svn+http://code.djangoproject.com/svn/django/trunk#egg=django
Jinja2
nose

=== debian/changelog ===
python-coffin (2.0.1-1) unstable; urgency=medium

  * New upstream release.
  * Removed fix-tests-with-django-1.7.patch.
  * Removed python3-compat.patch.
  * Removed the doc package, as it's gone from upstream.
  * Standards-Version is now 3.9.6.
  * Fixed watch file to use the redirector.

 -- Thomas Goirand <zigo@debian.org>  Wed, 16 Dec 2015 09:55:03 +0000

=== debian/control ===
Source: python-coffin
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 9),
               python-all,
               python-setuptools,
               python3-all,
               python3-setuptools,
Build-Depends-Indep: python-jinja2,
                     python-nose,
                     python-six,
                     python3-jinja2,
                     python3-nose,
                     python3-six,
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-coffin.git
Vcs-Git: git://anonscm.debian.org/openstack/python-coffin.git
Homepage: http://github.com/coffin/coffin

Package: python-coffin
Architecture: all
Depends: python-six,
         ${misc:Depends},
         ${python:Depends},
Description: Jinja2 adapter for Django - Python 2.x
 Coffin is a Jinja2 adapter for Django. Coffin currently makes the following
 Django tags available in Jinja:
  * {% cache %} - has currently an incompatibility: The second argument (the
    fragment name) needs to be specified with surrounding quotes if it is
    supposed to be a literal string, according to Jinja2 syntax. It will
    otherwise be considered an identifer and resolved as a variable.
  * {% load %} - is actually a no-op in Coffin, since templatetag libraries are
    always loaded. See also "Custom Filters and extensions".
  * {% spaceless %}
  * {% url %} - additionally, a view|url() filter is also available. Or use
    view|url() for Django 1.5 style lookups by the value of view.
  * {% with %}
  * {% csrf_token %}
 .
 Django filters that are ported in Coffin:
  * date
  * floatformat
  * pluralize (expects an optional second parameter rather than the comma
    syntax)
  * time
  * timesince
  * timeuntil
  * truncatewords
  * truncatewords_html
 .
 This package contains the Python 2.x module.

Package: python3-coffin
Architecture: all
Depends: python3-six,
         ${misc:Depends},
         ${python3:Depends},
Description: Jinja2 adapter for Django - Python 3.x
 Coffin is a Jinja2 adapter for Django. Coffin currently makes the following
 Django tags available in Jinja:
  * {% cache %} - has currently an incompatibility: The second argument (the
    fragment name) needs to be specified with surrounding quotes if it is
    supposed to be a literal string, according to Jinja2 syntax. It will
    otherwise be considered an identifer and resolved as a variable.
  * {% load %} - is actually a no-op in Coffin, since templatetag libraries are
    always loaded. See also "Custom Filters and extensions".
  * {% spaceless %}
  * {% url %} - additionally, a view|url() filter is also available. Or use
    view|url() for Django 1.5 style lookups by the value of view.
  * {% with %}
  * {% csrf_token %}
 .
 Django filters that are ported in Coffin:
  * date
  * floatformat
  * pluralize (expects an optional second parameter rather than the comma
    syntax)
  * time
  * timesince
  * timeuntil
  * truncatewords
  * truncatewords_html
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)
PYTHON3S:=$(shell py3versions -vr)

UPSTREAM_GIT = git://github.com/coffin/coffin.git
-include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2,python3

override_dh_auto_install:
	set -e ; for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-coffin; \
	done
	set -e ; for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python3-coffin; \
	done
	rm -rf $(CURDIR)/debian/python*-coffin/usr/lib/python*/dist-packages/tests

#override_dh_auto_test:
#ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
#	set -e ; for pyvers in $(PYTHONS); do \
#		PYTHON=python$$pyvers nosetests ; \
#	done
#	set -e ; for pyvers in $(PYTHON3S); do \
#		PYTHON=python$$pyvers nosetests3 ; \
#	done
#endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

=== debian/watch ===
version=3
http://pypi.debian.net/Coffin/Coffin-(.*).tar.gz
